function [coord, elem, coord2obj, elem2obj] = getScene(res)

%*** LichtElement
coord = [3,1,4; 3.2,1,3.8;3,1.2,4];
elem = [1,2,3];
coord2obj = [1;4];
elem2obj = [1;2];

%*** Objekt
[coordtmp, elemtmp] = mysphere(res);
coordtmp = coordtmp*0.25;
coordtmp(:,2) = coordtmp(:,2)+1;
coordtmp(:,3) = coordtmp(:,3)+1;
coordtmp(:,1) = coordtmp(:,1)+1;

elem = [elem;elemtmp+size(coord,1)];
coord = [coord;coordtmp];
coord2obj = [coord2obj;size(coord,1)+1];
elem2obj  = [elem2obj ;size(elem,1)+1];

%*** Hintergrundflchen
[x,y] = meshgrid(linspace(0,1.5,fix(res)),linspace(0.5,1.5,fix(res)));
coordtmp = [x(:),y(:),zeros(size(x(:)))];
elemtmp = [];
nn = size(x,1)-1;
for i=1:nn
  for j=1:nn   
    elemtmp = [elemtmp;[(i-1)*(nn+1)+j,(i-1)*(nn+1)+j+1,i*(nn+1)+j+1]];    
    elemtmp = [elemtmp;[i*(nn+1)+j+1,i*(nn+1)+j,(i-1)*(nn+1)+j]]; 
  end
end

%*** x,y Flaeche
elem = [elem;elemtmp+size(coord,1)];
coord = [coord;coordtmp];
coord2obj = [coord2obj;size(coord,1)+1];
elem2obj  = [elem2obj ;size(elem,1)+1];

%*** yz flaeche
coordtmp = [zeros(size(x(:))),y(:),x(:)];
elem = [elem;elemtmp(:,[1,3,2])+size(coord,1)];
coord = [coord;coordtmp];
coord2obj = [coord2obj;size(coord,1)+1];
elem2obj  = [elem2obj ;size(elem,1)+1];
